// Функции для генерации списка имен, из которого потом будем выбирать имена бойцов.
package fighter

import (
	"encoding/json"
	"io/ioutil"
	"log"
)

var names []string = loadNames("./cmd/fight_club/fighter/data/names.json")

func loadNames(filname string) []string {
	cont, err := ioutil.ReadFile(filname)
	if err != nil {
		log.Fatal("Error while reading file: ", err)
	}

	var names []string
	err = json.Unmarshal(cont, &names)
	if err != nil {
		log.Fatal("Error during Unmarshal(): ", err)
	}

	return names

}
